@charset "UTF-8";


.petpet-generator {
  --pp-bg: var(--bg_04, #fff5d3);
  --pp-fg: var(--bg_02, #fff);
  --pp-txt: var(--cl_01, #572e23);
  --pp-txt-light: rgba(94, 50, 38, 0.9);
  --pp-link: #b24a1f;
  --pp-link-hover: #d55825;
  --pp-header-txt: #7c4231;
  --pp-preview-bg: var(--bg_05, #fffbf3);
  --pp-canvas-bg: var(--bg_05, #fffbf3);
  --pp-input-bg: var(--bg_02, #fff);
  --pp-input-border: var(--border_01, rgba(246, 184, 22, 0.5));
  --pp-input-border-hover: rgba(246, 184, 22, 0.8);
  --pp-input-border-focus: var(--cl_01, #f6b816);
  --pp-input-track-bg: rgba(229, 194, 112, 0.25);
  --pp-input-switch-bg: rgba(233, 203, 134, 0.25);
  --pp-input-switch-bg-active: #fedc7d;
  --pp-input-switch-fg: #feecba;
  --pp-input-switch-fg-hover: #fee7a5;
  --pp-btn-bg: #fedc7d;
  --pp-btn-color: #943d1a;
  --pp-btn-border: #f6b816;
  --pp-btn-hover: #fed86e;
  --pp-btn-focus: #fdcf4a;
  --pp-btn-focus-outline: rgba(254, 220, 125, 0.5);
  --pp-shadow-color: rgba(202, 143, 46, 0.4);
  --pp-shadow: 0px 1px 2px var(--pp-shadow-color);
  --pp-icon: "🌝";
  --pp-error: #ff6e3f;
}

.petpet-generator[data-theme=dark] {
  --pp-bg: var(--bg_04, #000);
  --pp-fg: var(--bg_02, #291712);
  --pp-txt: var(--cl_01, #fef1c7);
  --pp-txt-light: rgba(255, 223, 116, 0.7);
  --pp-link: var(--cl_01, #fedf87);
  --pp-link-hover: white;
  --pp-header-txt: var(--cl_01, #ffe58d);
  --pp-preview-bg: var(--bg_05, #301b15);
  --pp-canvas-bg: var(--bg_05, #532f25);
  --pp-input-bg: var(--bg_02, #22130f);
  --pp-input-border: var(--border_01, rgba(246, 180, 8, 0.5));
  --pp-input-border-hover: rgba(246, 180, 8, 0.8);
  --pp-input-border-focus: var(--cl_01, #f6b408);
  --pp-input-track-bg: rgba(158, 117, 1, 0.5);
  --pp-input-switch-bg: rgba(183, 136, 2, 0.5);
  --pp-input-switch-bg-active: #fed254;
  --pp-input-switch-fg: #fee6a0;
  --pp-input-switch-fg-hover: #fedf87;
  --pp-btn-bg: #fed86e;
  --pp-btn-color: #8b3918;
  --pp-btn-border: #f6b408;
  --pp-btn-hover: #fed254;
  --pp-btn-focus: #fdcb3b;
  --pp-btn-focus-outline: rgba(254, 216, 110, 0.5);
  --pp-shadow-color: rgba(0, 0, 0, 0.4);
  --pp-shadow: 0px 1px 2px var(--pp-shadow-color);
  --pp-icon: "🌚";
  --pp-error: #ff6c37;
}


.petpet-generator .emoji_card_content img {
  max-width: 90%;
}

.petpet-generator .emoji_card_content img:not([src]) {
  display: none;
}

.petpet-generator .error-message {
  font-weight: bold;
  color: var(--pp-error);
}


.petpet-generator .emoji_card_content input,
.petpet-generator button,
.petpet-generator .btn,
.petpet-generator .control {
  border-radius: 0.328em;
  font-size: 0.95em;
  padding: 0.618em 1.232em;
  box-shadow: var(--pp-shadow);
}
.petpet-generator .emoji_card_content input:disabled,
.petpet-generator button:disabled,
.petpet-generator .btn:disabled,
.petpet-generator .control:disabled {
  opacity: 0.8;
  pointer-events: none;
  touch-action: none;
  cursor: not-allowed;
}

.petpet-generator .canvas {
  border: 2px solid var(--pp-input-border);
  width: 100%;
  height: auto;
  background: var(--pp-canvas-bg);
  image-rendering: pixelated;
}
.petpet-generator .canvas.adjust-mode {
  touch-action: none;
  cursor: grab;
  box-shadow: 0 0 5px var(--pp-input-border);
}


.petpet-generator .heading {
  margin: 0.238rem 0;
  font-weight: 700;
  font-size: 2.382em;
  font-family: "Balsamiq Sans", sans-serif;
  color: var(--pp-header-txt);
  text-align: center; 
  width: 100%; 
}

.petpet-generator .header {
  grid-area: header;
  text-align: center;
  padding: 0.618em 0.618em 1.25em;
}

.petpet-generator .preview {
  grid-area: preview;
  border-top-left-radius: 0.618em;
  border-bottom-left-radius: 0.618em;
  padding-right: 0;
}
.petpet-generator .content {
  padding: 0.618em 2.472em 1.236em;
  background-color: var(--pp-fg);
  text-align: center;
}
.petpet-generator .footer {
  grid-area: footer;
  text-align: center;
  padding: 1.618em;
}
.petpet-generator .content-heading {
  font-weight: bold;
  margin: 0.618em 0 1em;
  text-align: center;
  color: var(--pp-header-txt);
  font-family: "Balsamiq Sans", sans-serif;
}

.petpet-generator .emoji_card_content .row {
  margin: 0.5em 0 0.9em;
  text-align: left;
  display: flex; 
  align-items: center; 
  flex-wrap: wrap; 
}


.petpet-generator .control-group {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: space-between; 
}

.petpet-generator .hint {
  margin: 0.618em 0;
  font-size: 0.75em;
  opacity: 0.85;
  color: var(--pp-txt-light);
}

.petpet-generator .help {
  font-size: 0.85em;
}

.petpet-generator .control {
  background: var(--pp-input-bg);
  border: 1px solid var(--pp-input-border);
  outline: 0;
  padding-left: 1em;
}
.petpet-generator .control:hover {
  border-color: var(--pp-input-border-hover);
}
.petpet-generator .control:focus {
  border-color: var(--pp-input-border-focus);
}


.petpet-generator .control-sm {
  font-size: smaller;
  padding: 0.2em 0.2em 0.2em 0.55em;
  box-shadow: 0px 1px 1px var(--pp-shadow-color);
  width: 60px; 
  flex-shrink: 0; 
}

.petpet-generator .btn {
  cursor: pointer;
  background: var(--pp-btn-bg);
  border: 1px solid var(--pp-btn-border);
  color: var(--pp-btn-color);
  outline: 0;
  transition: background 250ms;
}
.petpet-generator .btn:hover {
  background: var(--pp-btn-hover);
}
.petpet-generator .btn:active {
  background: var(--pp-btn-focus);
}

.petpet-generator .control-group-s {
  min-width: 80px; 
  flex-shrink: 0; 
}

.petpet-generator .control-group-l {
  flex-grow: 1;
  display: flex; 
  margin: 0.3em 0;
  gap: 8px; 
  align-items: center;
}

.petpet-generator .control-grouped-left {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}
.petpet-generator .control-grouped-right {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
.petpet-generator .control-grouped-center {
  border-radius: 0;
}


.petpet-generator .control-range {
  -webkit-appearance: none;
  appearance: none;
  width: 80%;
  height: 0.618em;
  border-radius: 0.618em;
  background: var(--pp-input-track-bg);
  box-shadow: inset 0 0 3px var(--pp-shadow-color);
  outline: none;
  opacity: 0.8;
  transition: opacity 200ms;
}
.petpet-generator .control-range:hover {
  opacity: 1;
}
.petpet-generator .control-range::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  background: var(--pp-input-switch-fg);
  border-radius: 50%;
  border: 1px solid var(--pp-btn-border);
  box-shadow: var(--pp-shadow);
  cursor: pointer;
  display: block;
  height: 1.236em;
  transition: scale 200ms;
  width: 1.236em;
}
.petpet-generator .control-range::-webkit-slider-thumb:hover {
  transform: scale(1.1, 1.1);
}
.petpet-generator .control-range::-moz-range-thumb {
  background: var(--pp-input-switch-fg);
  border-radius: 50%;
  border: 1px solid var(--pp-btn-border);
  box-shadow: var(--pp-shadow);
  cursor: pointer;
  display: block;
  height: 1.236em;
  transition: scale 200ms;
  width: 1.236em;
}
.petpet-generator .control-range::-moz-range-thumb:hover {
  transform: scale(1.1, 1.1);
}


.petpet-generator .toggle-switch {
  --w: 3.25em;
  --h: calc(var(--w) / 2);
}
.petpet-generator .toggle-switch.sm {
  --w: 2.5em;
}
.petpet-generator .toggle-switch-control {
  width: var(--w);
  height: var(--h);
  position: relative;
  border-radius: var(--h);
  display: block;
  background: var(--pp-input-switch-bg);
  box-shadow: inset 0 0 3px var(--pp-shadow-color);
  transition: background 200ms ease-in;
  cursor: pointer;
}
.petpet-generator .toggle-switch-control:after {
  content: "";
  width: var(--h);
  height: var(--h);
  display: block;
  background: var(--pp-input-switch-fg);
  box-shadow: var(--pp-shadow);
  border: 1px solid var(--pp-btn-border);
  border-radius: 100%;
  position: absolute;
  top: 0;
  left: 0;
  transition: left 200ms ease-out, transform 500ms;
}
.petpet-generator .toggle-switch-control:hover:after {
  transform: scale(1.1, 1.1);
}
.petpet-generator .toggle-switch-input {
  appearance: none;
  visibility: hidden;
  width: 0px;
  height: 0px;
  padding: 0;
  margin: 0;
  position: absolute;
}
.petpet-generator .toggle-switch-input:checked + .toggle-switch-control  {
  background: var(--pp-input-switch-bg-active);
}
.petpet-generator .toggle-switch-input:checked + .toggle-switch-control:after {
  left: var(--h);
}


.petpet-generator .drop-area {
  border-radius: 0.328em;
  cursor: pointer;
  display: block;
  outline-offset: -4px;
  outline: 1px dashed var(--pp-input-border);
  transition: outline-offset 250ms;
}
.petpet-generator .drop-area-input {
  padding: 0.5em;
}
.petpet-generator .drop-area-error, 
.petpet-generator .drop-area-file-input {
  display: none;
}
.petpet-generator .drop-area-upload {
  margin-top: 1.2em;
  font-size: 0.8em;
  width: 100%;
  border-radius: 0.618em;
  border: 1px solid var(--pp-input-border);
  padding: 0.328em;
  display: flex;
  align-items: center;
}
.petpet-generator .drop-area-upload-btn {
  font-size: 1em;
  margin-right: 0.618em;
  flex-shrink: 0;
}
.petpet-generator .drop-area-upload-filename {
  white-space: nowrap;
  text-overflow: ellipsis;
  display: inline-block;
  overflow: hidden;
}
.petpet-generator .drop-area.highlight {
  outline-color: var(--pp-input-border-hover);
  outline-offset: -10px;
}
.petpet-generator .drop-area:hover .drop-area-message, 
.petpet-generator .drop-area.highlight .drop-area-message {
  border-color: var(--pp-input-border-hover);
}
.petpet-generator .drop-area:hover .drop-area-message strong {
  color: var(--pp-link);
}


.petpet-generator .preview-image {
  object-fit: contain;
  width: 128px;
  height: 128px;
}


.petpet-generator .preview-image-container {
  margin: 0;
  padding: 0.618em;
  text-align: center;
  border-radius: 0.328em;
  background: var(--pp-preview-bg);
  height: auto !important; 
  min-height: unset !important; 
}


.petpet-generator #result {
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 300px; 
  object-fit: contain;
}

.petpet-generator .e {
  color: inherit !important;
  text-decoration: none !important;
  cursor: default;
}

.petpet-generator .fingies {
  letter-spacing: -3px;
  display: block;
}
.petpet-generator .fingies:hover .fl {
  animation: pp-fingers 1200ms ease-in-out infinite;
}

@keyframes pp-fingers {
  0% {
    margin-right: 0em;
  }
  50% {
    margin-right: 0.75em;
  }
  100% {
    margin-right: 0em;
  }
}

.petpet-generator .separator {
  color: var(--pp-txt-light);
  opacity: 0.5;
  margin: 0 0.312em;
}


.petpet-generator #color-theme {
  appearance: none;
  filter: none;
  visibility: hidden;
  padding: 0;
}
.petpet-generator #color-theme:before {
  content: var(--pp-icon);
  cursor: pointer;
  display: inline-block;
  font-size: 1.25rem;
  text-align: center;
  vertical-align: top;
  visibility: initial;
  width: 1.25rem;
}


.petpet-generator .pp-grid {
  margin: 0 auto;
  max-width: 48em;
  display: grid;
  grid-template-columns: 38.2% 61.8%;
  grid-template-areas:
    "pp-header  pp-header"
    "pp-preview pp-upload"
    "pp-preview pp-output"
    "pp-footer  pp-footer";
}

.petpet-generator .pp-header {
  grid-area: pp-header;
  text-align: center;
  padding: 0.618em 0.618em 1.25em;
}

.petpet-generator .pp-preview {
  grid-area: pp-preview;
  border-top-left-radius: 0.618em;
  border-bottom-left-radius: 0.618em;
  padding-right: 0;
}

.petpet-generator .pp-upload {
  grid-area: pp-upload;
  border-top-right-radius: 0.618em;
}

.petpet-generator .pp-output {
  grid-area: pp-output;
  border-bottom-right-radius: 0.618em;
}

.petpet-generator .pp-footer {
  grid-area: pp-footer;
  text-align: center;
  padding: 1.618em;
}

.petpet-generator .preview-canvas {
  margin: 0 auto 2.312em;
  max-width: 200px;
}

.petpet-generator .preview-playback {
  display: flex;
}

.petpet-generator .preview-playback .btn {
  border-top-right-radius: 0;
  border-top-left-radius: 0;
  flex-grow: 1;
}

.petpet-generator .btn-playback-playpause.paused .btn-playback-pause,
.petpet-generator .btn-playback-playpause:not(.paused) .btn-playback-play {
  display: none;
}

.petpet-generator .export-row {
  margin-top: 1.75em;
}

.petpet-generator .output-info {
  color: var(--pp-txt-light);
}

.petpet-generator img[src]+.output-info {
  margin-top: 1em;
}

.petpet-generator fieldset {
  padding: 0;
  margin: 0;
  border: 0;
}


.petpet-generator #fps {
  flex-grow: 1;
  margin-right: 8px;
}

.petpet-generator #fpsVal {
  width: 60px !important; 
  margin-left: 0 !important; 
  flex-shrink: 0;
}


@media only screen and (max-width: 40em) {
  .petpet-generator .pp-grid {
    grid-template-columns: 100%;
    grid-template-areas:
      "pp-header"
      "pp-upload"
      "pp-preview"
      "pp-output"
      "pp-footer";
  }

  .petpet-generator .pp-header,
  .petpet-generator .pp-footer,
  .petpet-generator .content {
    padding: 1.618em 8%;
    border-radius: 0;
  }

  .petpet-generator .pp-preview {
    padding-left: 16%;
    padding-right: 16%;
  }

  .petpet-generator .content,
  .petpet-generator .pp-footer {
    border-top: 1px solid var(--pp-input-border);
  }

  .petpet-generator .export-row {
    margin-top: 2.5em;
  }

  .petpet-generator #fpsVal {
    width: 50px !important;
    font-size: small;
    padding: 0.5em;
    padding-right: 0.2em;
  }
  
  
  .petpet-generator .control-group-s {
    min-width: 50px;
  }
  
  .petpet-generator .control-range {
    width: 50%;
  }
}